
const {ccclass, property} = cc._decorator;

@ccclass
export default class PageViewTest extends cc.Component {

    @property(cc.Node)
    m_pageviewNode: cc.Node = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    onLoad () {


    }

    OnPageViewEvent(event, custom){
        let pageView = this.m_pageviewNode.getComponent(cc.PageView);
        let currPageIndex = pageView.getCurrentPageIndex();

        cc.log("OnPageViewEvent begin, page index="+currPageIndex);

        if(currPageIndex != 1){  // page changed
            let pages = pageView.getPages();
            if(currPageIndex == 0){
                let lastPage = pages[pages.length-1];
                pageView.removePage(lastPage);
                pageView.insertPage(lastPage, 0);   // add on top

                pageView.scrollToPage(1,0);
                pageView.setCurrentPageIndex(1);
            }
            else if(currPageIndex == (pages.length-1)){
                let firstPage = pages[0];
                pageView.removePage(firstPage);
                pageView.addPage(firstPage);    // add in bottom

                pageView.scrollToPage(1,0);
                pageView.setCurrentPageIndex(1);
            }
        }
        else{
            cc.log("Page not change.");
        }

        cc.log("OnPageViewEvent end, page index="+currPageIndex);
    }


    // update (dt) {}
}
